=head1 NAME

GStreamer::Bin

=cut

=head1 HIERARCHY

  Glib::Object
  +----GStreamer::Object
       +----GStreamer::Element
            +----GStreamer::Bin



=cut

=head1 INTERFACES

  GStreamer::ChildProxy



=cut


=head1 METHODS

=head2 element = GStreamer::Bin-E<gt>B<new> ($name)

=over

=item * $name (string) 

=back

=head2 $bin-E<gt>B<add> ($element, ...)

=over

=item * $element (GStreamer::Element) 

=item * ... (list) 

=back

=head2 element = $bin-E<gt>B<get_by_interface> ($interface)

=over

=item * $interface (string) 

=back

=head2 element = $bin-E<gt>B<get_by_name> ($name)

=over

=item * $name (string) 

=back

=head2 element = $bin-E<gt>B<get_by_name_recurse_up> ($name)

=over

=item * $name (string) 

=back

=head2 iterator = $bin-E<gt>B<iterate_all_by_interface> ($interface)

=over

=item * $interface (string) 

=back

=head2 iterator = $bin-E<gt>B<iterate_elements> 

=head2 iterator = $bin-E<gt>B<iterate_recurse> 

=head2 iterator = $bin-E<gt>B<iterate_sinks> 

=head2 iterator = $bin-E<gt>B<iterate_sorted> 

=head2 $bin-E<gt>B<remove> ($element, ...)

=over

=item * $element (GStreamer::Element) 

=item * ... (list) 

=back



=cut


=head1 PROPERTIES

=over

=item 'async-handling' (boolean : default false : readable / writable / private)

The bin will handle Asynchronous state changes

=item 'message-forward' (boolean : default false : readable / writable / private)

Forwards all children messages

=back



=cut


=head1 SIGNALS

=over

=item boolean = B<do-latency> (GStreamer::Bin)

=item B<element-added> (GStreamer::Bin, GStreamer::Element)

=item B<element-removed> (GStreamer::Bin, GStreamer::Element)

=back



=cut


=head1 SEE ALSO

L<GStreamer>, L<Glib::Object>, L<GStreamer::Object>, L<GStreamer::Element>


=cut


=head1 COPYRIGHT

Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<GStreamer> for a full notice.



=cut

